Package com.complexible.stardog.rdf4j

# Class StardogRepositoryFactory

java.lang.Object
com.complexible.stardog.rdf4j.StardogRepositoryFactory

All Implemented Interfaces:
  `org.eclipse.rdf4j.repository.config.RepositoryFactory`

public final class StardogRepositoryFactory extends Object implements org.eclipse.rdf4j.repository.config.RepositoryFactory

Implementation of Sesame's RepositoryFactory interface to support creating StardogRepository instances via their repository configuration API

Since:
  0.5.1
Version:
  4.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.eclipse.rdf4j.model.IRI`
  `connectionString`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogRepositoryFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
  `getConfig()`
  `org.eclipse.rdf4j.repository.Repository`
  `getRepository(org.eclipse.rdf4j.repository.config.RepositoryImplConfig theRepositoryImplConfig)`
  `String`
  `getRepositoryType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connectionString

    public static final org.eclipse.rdf4j.model.IRI connectionString

- ## Constructor Details

  - ### StardogRepositoryFactory

    public StardogRepositoryFactory()

- ## Method Details

  - ### getRepositoryType

    public String getRepositoryType()
    Specified by:
      `getRepositoryType` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`

  - ### getConfig

    public org.eclipse.rdf4j.repository.config.RepositoryImplConfig getConfig()
    Specified by:
      `getConfig` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`

  - ### getRepository

    public org.eclipse.rdf4j.repository.Repository getRepository(org.eclipse.rdf4j.repository.config.RepositoryImplConfig theRepositoryImplConfig) throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `getRepository` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`